detekt-api
1.21.0-RC2

# ValuesWithReason

data class ValuesWithReason : Iterable < ValueWithReason >
Content copied to clipboard

ValuesWithReason is essentially the same as List of ValueWithReason. Due to type erasure we cannot use the list directly. Instances of this type should always created using the valuesWithReason factory method.

## Functions

forEach
Link copied to clipboard
open fun forEach (p0: Consumer <in ValueWithReason >)
Content copied to clipboard
iterator
Link copied to clipboard
open operator override fun iterator (): Iterator < ValueWithReason >
Content copied to clipboard
spliterator
Link copied to clipboard
open fun spliterator (): Spliterator < ValueWithReason >
Content copied to clipboard